﻿<%@ Import Namespace="Seven.Integrations.Orbe" %>
<%@ Import Namespace="Seven.Integrations.Orbe.Globals" %>
<%@ Import Namespace="Seven.Integrations.Orbe.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="BitacoraReservas.aspx.cs" Inherits="Seven.Integrations.Orbe.BitacoraReservas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>Seven Integrations - Orbe - <%=L.TIT("BitacoraReservas") %></title>

    <script type="text/javascript">

        function Ver()
        {
            window.open("Informe.aspx?r=1&s=" + $('#txtFecIni').val() + "&f=" + $('#txtFecFin').val(), "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#txtJSON').val(JSON.stringify(R));

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="BitacoraReservas.aspx"><%=L.TIT("BitacoraReservas") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 200px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("BitacoraReservas") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-BitacoraReservas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENStart") %>
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" name="txtFecIni" value="<%=string.Format("{0:d}", DateTime.Today.AddDays(-7)) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENEnd") %>
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" name="txtFecFin" value="<%=string.Format("{0:d}", DateTime.Today) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td style="width: 100%;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" />
                                        </td>
                                        <td><%=L.LBL("LblGENVer") %></td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

