﻿<% @Import Namespace="Seven.Integrations.Orbe" %>
<% @Import Namespace="Seven.Integrations.Orbe.Globals" %>
<% @Import Namespace="Seven.Integrations.Orbe.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ConfiguracionGeneral.aspx.cs" Inherits="Seven.Integrations.Orbe.ConfiguracionGeneral" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>Seven Integrations - Orbe - <%=L.TIT("ConfiguracionGeneral") %></title>
    
    <script type="text/javascript">
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#EnlaceMaestro").focus();

            $("#SevenMenu").accordion("option", "active", 1);

            $('#cbContrato').val(<%=elemento.id_cont %>);
            $('#cbRegAloj').val(<%=elemento.id_ralo %>);

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ConfiguracionGeneral.aspx"><%=L.TIT("ConfiguracionGeneral") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 525px;">

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ConfiguracionGeneral") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPConfiguracionGeneral.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>
                            
                            
                            
                <div id="Formulario">

                            
                                
                                
                    <form id="MainForm" action="ConfiguracionGeneral.aspx<%  Response.Write("?d=0"); 
                                                        if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                        { 
                                                        Response.Write("&p=" + Request.QueryString["p"]); 
                                                        }else{
                                                        Response.Write("&p=1"); 
                                                        }
                                                        if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                        { 
                                                        Response.Write("&q=" + Request.QueryString["q"]); 
                                                        }else{
                                                        Response.Write("&q="); 
                                                        }%>" method="POST">

                        <table width="100%">
                            <tr>
                                <td colspan="2">
                                    <h3><%=L.LBL("LblGENGeneral") %></h3>
                                </td>
                            </tr>
                            <tr>
	                            <td><%=L.LBL("LblGENTarifa") %><span class="error"> * </span>: </td>
	                            <td>
		                            <%=cbContrato %>
	                            </td>
                            </tr>
                            <tr>
	                            <td><%=L.LBL("LblFDKRegime") %><span class="error"> * </span>: </td>
	                            <td>
		                            <%=cbRegAloj %>
	                            </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <h3><%=L.LBL("LblGENSystemSecurity") %></h3>
                                </td>
                            </tr>
                            <tr>
	                            <td><%=L.LBL("LblGENUseCAPTCHA") %>: </td>
	                            <td>
		                            <input type="radio" name="rbCaptcha" value="1" <% if(vCaptcha){ %> checked="checked" <% } %>/> <%=L.LBL("LblGENYes") %>
                                    <input type="radio" name="rbCaptcha" value="0" <% if(!vCaptcha){ %> checked="checked" <% } %>/> <%=L.LBL("LblGENNo") %>
	                            </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <%=L.LBL("LblGENCAPTCHAWarning") %>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="submit">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/ConfiguracionGeneral.aspx<%  Response.Write("?d=0"); 
                                                                                                                                                                                            if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                                                                                                                            { 
                                                                                                                                                                                                Response.Write("&p=" + Request.QueryString["p"]); 
                                                                                                                                                                                            }else{
                                                                                                                                                                                                Response.Write("&p=1"); 
                                                                                                                                                                                            }
                                                                                                                                                                                            if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                                                                                                                            { 
                                                                                                                                                                                                Response.Write("&q=" + Request.QueryString["q"]); 
                                                                                                                                                                                            }else{
                                                                                                                                                                                                Response.Write("&q="); 
                                                                                                                                                                                            }%>'">
                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/Inicio.aspx'" >
                                                        <table><tr><td><img src="img/cross.png" alt="<%=L.LBL("LblGENExit") %>" /></td><td><%=L.LBL("LblGENExit") %></td></tr></table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                                
                    </form>
                                
                            
                </div>
                 
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

