﻿<%@ Import Namespace="Seven.Integrations.Orbe" %>
<%@ Import Namespace="Seven.Integrations.Orbe.Globals" %>
<%@ Import Namespace="Seven.Integrations.Orbe.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DebugZone.aspx.cs" Inherits="Seven.Integrations.Orbe.DebugZone" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title>Seven Integrations - Orbe - <%=L.TIT("DebugZone") %></title>

    <script src="js/prettyprint.js"></script>

    <script type="text/javascript">

        function TestDebugLink() {
            window.open("http://186.15.24.173:50100/Servicio.svc/Book?R=" + JSON.stringify(<%=J %>), "_blank");
        }

        function TestDebug() {
            $.ajax({
                type: "GET",
                url: "Servicio.svc/Book",
                data: { "R": JSON.stringify(R) },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    var res = JSON.parse(json.d);
                    alert("Número: " + res.nro_reserva + ", Resultado: " + res.resultado);
                },
                error: function (xhr) {
                    alert(xhr.responseText);
                }
            });
        }

        function TestDebugRemote() {
            $.ajax({
                type: "GET",
                url: "http://186.15.24.173:50100/Servicio.svc/Book",
                data: { "R": JSON.stringify(<%=J %>) },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    var res = JSON.parse(json.d);
                    alert("Número: " + res.nro_reserva + ", Resultado: " + res.resultado);
                },
                error: function (xhr) {
                    alert(xhr.responseText);
                }
            });
        }

        function TestDebugZone() {
            $.ajax({
                type: "GET",
                url: "Servicio.svc/Book",
                data: { "R": $('#txtJSON').val() },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $("#txtResponse").val(json.d);
                },
                error: function (xhr) {
                    $('#dlgCargando').dialog('close');
                    $("#txtResponse").val(xhr.responseText);
                }
            });
        }

        function Bitacora()
        {
            window.open("Informe.aspx?r=1&s=" + $('#txtFecIni').val() + "&f=" + $('#txtFecFin').val(), "_blank");
        }

        function DescribeJSON()
        {
            $('#output').html('');
            var ppTable = prettyPrint(JSON.parse($('#txtJSON').val()), {
                maxDepth: 10
            });
            document.getElementById('output').appendChild(ppTable);
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#txtJSON').val(JSON.stringify(<%=J %>, null, 4));

            $('#DebugZoneTabs').tabs();

            DescribeJSON();

        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DebugZone.aspx"><%=L.TIT("DebugZone") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 1000px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DebugZone") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-DebugZone/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="DebugZoneTabs" style="padding: 0px;">
                    <ul>
                        <li>
                            <a href="#DebugTab">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/bug.png" /></td>
                                        <td><span style="font-size: 7pt;"><%=L.TIT("DebugZone") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#HumanTab">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/calendar-list.png" /></td>
                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblGENDescription") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="DebugTab" style="height: 550px;">

                        <h3>Orbe JSON</h3>

                        <textarea id="txtJSON" style="width: 960px; height: 300px; resize: none;"></textarea>

                        <br />
                        <br />

                        <table>
                            <tr>
                                <td><%=L.LBL("LblGENVer") %> JSON #</td>
                                <td>
                                    <input type="text" id="txtJSONID" value="7" style="width: 50px;" />
                                </td>
                                <td>
                                    <button type="button" onclick="window.location.href='DebugZone.aspx?j=' + $('#txtJSONID').val();">
                                        <table>
                                            <tr>
                                                <td>
                                                    <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" />
                                                </td>
                                                <td><%=L.LBL("LblGENVer") %></td>
                                            </tr>
                                        </table>
                                    </button>
                                </td>
                                <td>
                                    <fieldset>
                                        <table>
                                            <tr>
                                                <td>
                                                    <%=L.LBL("LblGENStart") %>
                                                </td>
                                                <td>
                                                    <input type="text" id="txtFecIni" name="txtFecIni" value="<%=string.Format("{0:d}", DateTime.Today.AddDays(-7)) %>" class="eligeFecha" style="width: 70px;" />
                                                </td>
                                                <td>
                                                    <%=L.LBL("LblGENEnd") %>
                                                </td>
                                                <td>
                                                    <input type="text" id="txtFecFin" name="txtFecFin" value="<%=string.Format("{0:d}", DateTime.Today) %>" class="eligeFecha" style="width: 70px;" />
                                                </td>
                                                <td>
                                                    <button type="button" onclick="Bitacora();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/resource-monitor.png" alt="<%=L.TIT("LblGENVer") %>" />
                                                                </td>
                                                                <td><%=L.TIT("BitacoraReservas") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>
                                </td>
                                <td>
                                    <button type="button" onclick="DescribeJSON();$('#DebugZoneTabs').tabs('option', 'active', 1);">
                                        <table>
                                            <tr>
                                                <td>
                                                    <img src="img/calendar-list.png" alt="<%=L.LBL("LblGENDescription") %>" />
                                                </td>
                                                <td><%=L.LBL("LblGENDescription") %></td>
                                            </tr>
                                        </table>
                                    </button>
                                </td>
                                <td style="width: 100%;"></td>
                                <td>
                                    <button type="button" onclick="TestDebugZone();">
                                        <table>
                                            <tr>
                                                <td>
                                                    <img src="img/lightning.png" alt="<%=L.LBL("LblGENEnviar") %>" />
                                                </td>
                                                <td><%=L.LBL("LblGENEnviar") %></td>
                                            </tr>
                                        </table>
                                    </button>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <h3><%=L.LBL("LblGENRespuesta") %></h3>

                        <textarea id="txtResponse" style="width: 960px; height: 50px; resize: none;" readonly="readonly"></textarea>

                    </div>

                    <div id="HumanTab" style="height: 550px; overflow: scroll;">
                        <div id="output">
                        </div>
                    </div>

                </div>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>

